<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class Producto extends Model
{
  public $timestamps = false;
  protected $fillable = [ "nombre", "precio", "presentacion", "stock", "categoria" ];
  static $paginarPorDefecto = 10;

  public function subpedidos()
  {
    return $this->belongsToMany('App\Subpedido','productos_subpedidos')->withPivot(["cantidad"]);
  }
  
  public function proveedor()
  {
    return $this->belongsTo('App\Proveedor');
  }

  public function scopeFiltrar($query, Filtro $filtros)
  {
      return $filtros->aplicar($query);
  }

  public static function getPaginar(Request $request)
  {
      return $request->has('paginar') && intval($request->input('paginar')) ? intval($request->input('paginar')) : self::$paginarPorDefecto;
  }
  
}
